## percona-xtradb-cluster-5.7 5.7.40-31.63

=== debian/changelog ===
percona-xtradb-cluster-5.7 (5.7.40-31.63-1) UNRELEASED; urgency=medium

  * Update to new upstream release Percona XtraDB Cluster 5.7.40-rel43-
    31.63

 -- ubuntu-cloud-user <alexey.bychko@percona.com>  Thu, 22 Dec 2022 11:12:15 +0000

percona-xtradb-cluster-5.7 (5.7.40-rel43) unstable; urgency=low

  * Packaging updates for PXC 5.7

 -- Alexey Bychko <alexey.bychko@percona.com>  Thu, 17 Mar 2016 19:03:05 +0600

=== debian/control ===
Source: percona-xtradb-cluster-5.7
Section: database
Priority: extra
Maintainer: Percona Server Development Team <mysql-dev@percona.com>
Uploaders: George Lorch <george.lorch@percona.com>,
           Tomislav Plavcic <tomislav.plavcic@percona.com>
           Raghavendra Prabhu <raghavendra.prabhu@percona.com>
           Krunal Bauskar <krunal.bauskar@percona.com>
Build-Depends: libtool (>= 1.4.2-7),
               procps,
               debhelper (>= 7.0.50~),
               file (>= 3.28),
               bison,
               cmake,
               debhelper (>= 9.0.0),
               fakeroot,
               libaio-dev[linux-any],
               libmecab-dev,
               libwrap0-dev,
               libmecab-dev,
               libncurses5-dev (>= 5.0-6),
               lsb-release,
               perl,
               po-debconf,
               psmisc,
               zlib1g-dev (>= 1:1.1.3-5),
               libreadline-dev,
               libpam-dev,
               libssl-dev,
               libnuma-dev,
               gcc (>= 4.4),
               g++ (>= 4.4),
               scons,
               libboost-dev (>= 1.41),
               libssl-dev,
               check,
               libboost-program-options-dev (>= 1.41),
               libldap2-dev
Standards-Version: 7.0.0
Homepage: http://www.percona.com/software/percona-xtradb-cluster/
Vcs-Git: https://github.com/percona/percona-xtradb-cluster

Package: libperconaserverclient20
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: percona-xtradb-cluster-common-5.7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libpercona-server-client16, libperconaserverclient18, libperconaserverclient18.1
Description: Percona XtraDB Cluster database client library
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the client library.

Package: libperconaserverclient20-dev
Architecture: any
Section: libdevel
Depends: libperconaserverclient20 (= ${binary:Version}),
         zlib1g-dev, ${misc:Depends}
Breaks: libperconaserverclient18.1-dev,
        libperconaserverclient18-dev,
        libperconaserverclient16-dev,
        libperconaserverclient15-dev,
        libperconaserverclient14-dev,
        libperconaserverclient12-dev,
        libperconaserverclient10-dev,
        libmysqlclient-dev,
        libmysqlclient18-dev,
        libmysqlclient20-dev,
        libmariadbclient-dev
Replaces: libperconaserverclient18.1-dev,
          libperconaserverclient18-dev,
          libperconaserverclient16-dev,
          libperconaserverclient15-dev,
          libperconaserverclient14-dev,
          libperconaserverclient12-dev,
          libperconaserverclient10-dev,
          libpercona-xtradb-client-dev,
          libmariadbclient-dev
Provides: libmysqlclient-dev
Description: Percona XtraDB Cluster database development files
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes development libraries and header files.

Package: percona-xtradb-cluster-common-5.7
Section: database
Architecture: any
Pre-depends: debconf (>= 0.2.17), mysql-common, debsums, ${misc:Pre-Depends}
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Percona XtraDB Cluster database common files (e.g. /etc/mysql/my.cnf)
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/my.cnf).

Package: percona-xtradb-cluster-client-5.7
Architecture: any
Depends: percona-xtradb-cluster-common-5.7 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
         debianutils (>=1.6),
         libdbi-perl,
Provides: mysql-client,
          virtual-mysql-client, virtual-mysql-client-core,
          mysql-client-5.7, mysql-client-core-5.7
Breaks: mysql-client-5.0,
        mysql-client-core-5.1,
        mysql-client-core-5.5,
        mysql-client-core-5.6,
        mysql-client-core-5.7,
        mysql-client-5.1,
        mysql-client-5.5,
        mysql-client-5.6,
        mysql-client-5.7,
        percona-xtradb-client-5.0,
        percona-server-client-5.1,
        percona-server-client-5.5,
        percona-server-client-5.6,
        percona-server-client-5.7,
        percona-xtradb-cluster-client-5.5,
        percona-xtradb-cluster-client-5.6,
        mariadb-client,
        mariadb-client-core-5.5,
        mariadb-client-5.5,
        virtual-mysql-client,
        virtual-mysql-client-core
Replaces: mysql-client-5.0,
           mysql-client-core-5.1,
           mysql-client-core-5.5,
           mysql-client-core-5.6,
           mysql-client-core-5.7,
           mysql-client-5.1,
           mysql-client-5.5,
           mysql-client-5.6,
           mysql-client-5.7,
           percona-xtradb-client-5.0,
           percona-server-client-5.1,
           percona-server-client-5.5,
           percona-server-client-5.6,
           percona-server-client-5.7,
           percona-xtradb-cluster-client-5.5,
           percona-xtradb-cluster-client-5.6,
           mariadb-client,
           mariadb-client-core-5.5,
           mariadb-client-5.5,
           virtual-mysql-client,
           virtual-mysql-client-core
Description: Percona XtraDB Cluster database client binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the client binaries.

Package: percona-xtradb-cluster-server-5.7
Architecture: any
Suggests: tinyca, netcat-openbsd, pv 
Pre-Depends: adduser,
             debconf (>= 0.2.17)
Depends: percona-xtradb-cluster-common-5.7 (= ${binary:Version}),
         percona-xtradb-cluster-client-5.7 (>= ${binary:Version}),
         libdbi-perl,
         libdbd-mysql-perl,
         perl (>= 5.6),
         ${shlibs:Depends},
         ${misc:Depends},
         psmisc,
         passwd,
         lsb-base (>= 3.0-10),
         percona-xtrabackup-24 (>= 2.4.27),
         socat,
         lsof,
         rsync,
         qpress,
         iproute,
         openssl
Provides: mysql-server,
          virtual-mysql-server, virtual-mysql-server-core,
          mysql-server-5.7, mysql-server-core-5.7
Breaks: mysql-server-5.0,
        mysql-server-5.1,
        mysql-server-5.5,
        mysql-server-5.6,
        mysql-server-5.7,
        mysql-server-core-5.1,
        mysql-server-core-5.5,
        mysql-server-core-5.6,
        mysql-server-core-5.7,
        percona-xtradb-server-5.0,
        percona-server-server-5.1,
        percona-server-server-5.5,
        percona-server-server-5.6,
        percona-server-server-5.7,
        percona-xtradb-cluster-server-5.5,
        percona-xtradb-cluster-server-5.6,
        mariadb-server,
        mariadb-server-core-5.5,
        mariadb-server-5.5,
        virtual-mysql-server,
        virtual-mysql-server-core
Replaces: mysql-server-5.0,
          mysql-server-5.1,
          mysql-server-5.5,
          mysql-server-5.6,
          mysql-server-5.7,
          mysql-server-core-5.1,
          mysql-server-core-5.5,
          mysql-server-core-5.6,
          mysql-server-core-5.7,
          percona-xtradb-server-5.0,
          percona-server-server-5.1,
          percona-server-server-5.5,
          percona-server-server-5.6,
          percona-server-server-5.7,
          percona-xtradb-cluster-server-5.5,
          percona-xtradb-cluster-server-5.6,
          mariadb-server,
          mariadb-server-core-5.5,
          mariadb-server-5.5,
          virtual-mysql-server,
          virtual-mysql-server-core,
          galera, percona-xtradb-cluster-galera-3, percona-xtradb-cluster-galera, percona-galera-3, galera-57, galera-57-3.x, percona-xtradb-cluster-galera-3.x, galera-garbd-57-3.x, galera-garbd-57
Description: Percona XtraDB Cluster database server binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the server binaries.


Package: percona-xtradb-cluster-server-debug-5.7
Architecture: any
Suggests: tinyca, netcat-openbsd, pv
Pre-Depends: percona-xtradb-cluster-common-5.7 (>= ${binary:Version}),
             adduser (>= 3.4.0),
             debconf
Depends: percona-xtradb-cluster-client-5.7 (>= ${binary:Version}),
         libdbi-perl,
         libdbd-mysql-perl,
         perl (>= 5.6),
         ${shlibs:Depends},
         ${misc:Depends},
         psmisc,
         passwd,
         lsb-base (>= 3.0-10),
         percona-xtrabackup-24 (>= 2.4.27),
         socat,
         lsof,
         rsync,
         qpress,
         iproute
Provides: mysql-server-debug
Description: Percona XtraDB Cluster database server UNIV_DEBUG binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the server binaries.

Package: percona-xtradb-cluster-57
Section: database
Architecture: any
Depends: percona-xtradb-cluster-server-5.7 (>= ${binary:Version}), percona-xtradb-cluster-client-5.7 (>= ${binary:Version}), ${misc:Depends}
Description: Percona XtraDB Cluster with Galera
 This is a meta-package providing PXC57 server, client.

Package: percona-xtradb-cluster-full-57
Section: database
Architecture: any
Depends: percona-xtradb-cluster-server-5.7 (>= ${binary:Version}), percona-xtradb-cluster-client-5.7 (>= ${binary:Version}), percona-xtradb-cluster-test-5.7 (>= ${binary:Version}), percona-xtradb-cluster-5.7-dbg (>= ${binary:Version}),  percona-xtradb-cluster-server-debug-5.7, percona-xtradb-cluster-garbd-5.7 (>= ${binary:Version}), ${misc:Depends}, percona-xtradb-cluster-garbd-debug-5.7 (>= ${binary:Version})
Description: Percona XtraDB Cluster with Galera
 This is a meta-package providing PXC57 server, client, test and debug packages.

Package: percona-xtradb-cluster-test-5.7
Architecture: any
Depends: percona-xtradb-cluster-client-5.7 (>= ${binary:Version}), percona-xtradb-cluster-server-5.7 (>= ${binary:Version})
Description: Percona XtraDB Cluster database test suite
 This package includes the Percona XtraDB Cluster test framework that provides
 a means for verifying that Percona XtraDB Cluster and its client programs
 operate according to expectations.

Package: percona-xtradb-cluster-5.7-dbg
Architecture: any
Section: debug
Depends: percona-xtradb-cluster-server-5.7 (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona XtraDB Cluster
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DH_VERBOSE=1
export CFLAGS=
export CXXFLAGS=

PACKAGE=percona-xtradb-cluster-5.7
PS_VERSION_EXTRA = $(shell echo "Percona XtraDB Cluster (GPL), $(DEBVERSION)")

wsrep_version="31.63"
percona_server_version="43"
revision="ab4d0bd"
compilation_comment_debug="Percona XtraDB Cluster - Debug (GPL), Release rel$(percona_server_version), Revision $(revision), WSREP version $(wsrep_version)"
compilation_comment_release="Percona XtraDB Cluster (GPL), Release rel$(percona_server_version), Revision $(revision), WSREP version $(wsrep_version)"
server_suffix="-57"
prefix=/usr

TMP=$(CURDIR)/debian/tmp/
TMPD=$(CURDIR)/debian/tmp-debug/
prefix=/usr

ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ARCH_OS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
NCPU = $(shell grep -c processor /proc/cpuinfo)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_VERSION_MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r -n 's/^([0-9]+\.[0-9]+).*/\1/p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXPORTED_SOURCE_TARBALL = debian/percona-xtradb-cluster-source-5.7.tar.gz

DISTRIBUTION = $(shell lsb_release -i -s)
DISTRELEASE = $(shell lsb_release -c -s)

MYSQL_SRC = $(shell pwd)

builddir = builddir
galeradir = percona-xtradb-cluster-galera
builddebug = debug

override_dh_auto_configure:
	@echo "RULES.$@"

ifeq ($(SKIP_DEBUG_BINARY),)
	( test -d $(builddebug) || mkdir $(builddebug) ) && cd $(builddebug) && \
		cmake -DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin/debug \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=Debug \
		-DWITH_LIBWRAP=ON \
		-DWITH_ZLIB=system \
		-DWITH_SSL=system \
		-DWITH_SCALABILITY_METRICS=ON \
		-DSYSTEM_TYPE="debian-linux-gnu" \
		-DWITH_READLINE=system \
		-DWITHOUT_TOKUDB=ON \
		-DCOMPILATION_COMMENT=$(compilation_comment_debug) \
		-DMYSQL_SERVER_SUFFIX=$(server_suffix) \
		-DINSTALL_LAYOUT=RPM \
		-DWITH_INNODB_DISALLOW_WRITES=ON \
		-DWITH_WSREP=ON \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin/debug \
		-DINSTALL_LAYOUT=DEB \
		-DWITH_EMBEDDED_SERVER=OFF \
		-DWITH_INNODB_MEMCACHED=ON \
		-DWITH_MECAB=system \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_PAM=ON \
		-DWITH_ROCKSDB=0 \
		-DDOWNLOAD_BOOST=1 \
		-DWITH_BOOST=libboost \
		-DWITH_EXTRA_CHARSETS=all ..
endif

	( test -d $(builddir) || mkdir $(builddir) ) && cd $(builddir) && \
		cmake -DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_DOCREADMEDIR=share/mysql \
		-DINSTALL_INCLUDEDIR=include/mysql \
		-DINSTALL_INFODIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_MANDIR=share/man \
		-DINSTALL_MYSQLSHAREDIR=share/mysql \
		-DINSTALL_MYSQLTESTDIR=lib/mysql-test \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_SBINDIR=sbin \
		-DINSTALL_SCRIPTDIR=bin \
		-DINSTALL_SUPPORTFILESDIR=share/mysql \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DWITH_LIBWRAP=ON \
		-DWITH_ZLIB=system \
		-DWITH_SSL=system \
		-DWITH_SCALABILITY_METRICS=ON \
		-DSYSTEM_TYPE="debian-linux-gnu" \
		-DWITH_READLINE=system \
		-DWITHOUT_TOKUDB=ON \
		-DCOMPILATION_COMMENT=$(compilation_comment_release) \
		-DMYSQL_SERVER_SUFFIX=$(server_suffix) \
		-DINSTALL_LAYOUT=RPM \
		-DWITH_INNODB_DISALLOW_WRITES=ON \
		-DWITH_WSREP=ON \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DINSTALL_LAYOUT=DEB \
		-DWITH_EMBEDDED_SERVER=OFF \
		-DWITH_INNODB_MEMCACHED=ON \
		-DWITH_MECAB=system \
		-DWITH_ARCHIVE_STORAGE_ENGINE=ON \
		-DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
		-DWITH_FEDERATED_STORAGE_ENGINE=ON \
		-DWITH_PAM=ON \
		-DWITH_ROCKSDB=0 \
		-DDOWNLOAD_BOOST=1 \
		-DWITH_BOOST=libboost \
		-DWITH_EXTRA_CHARSETS=all ..

	cd $(galeradir) &&  scons $(MAKE_JFLAG) revno=$(GALERA_REVNO) psi=1 libgalera_smm.so $(SCONS_ARGS) && scons $(MAKE_JFLAG) revno=$(GALERA_REVNO) garb/garbd $(SCONS_ARGS)

	touch $@

override_dh_auto_build:
	@echo "RULES.$@"

	[ -f $(EXPORTED_SOURCE_TARBALL) ] || tar -zcf $(EXPORTED_SOURCE_TARBALL) \
	--exclude=debian . \
	--transform="s,^\./,percona-xtradb-cluster-5.7/,"

ifeq ($(SKIP_DEBUG_BINARY),)
	cd $(builddebug) && $(MAKE) -j$(NCPU)  VERBOSE=1
endif

	cd $(builddir) && $(MAKE) -j$(NCPU) VERBOSE=1
	cd $(galeradir) &&  scons $(MAKE_JFLAG) revno=$(GALERA_REVNO) psi=1 libgalera_smm.so $(SCONS_ARGS) && scons $(MAKE_JFLAG) revno=$(GALERA_REVNO) garb/garbd $(SCONS_ARGS)

	touch $@

override_dh_auto_install:
	@echo "RULES.$@"

	# complete install first
	(cd $(builddebug) && $(MAKE) install DESTDIR=$(TMPD)/)
	(cd $(builddir) && $(MAKE) install DESTDIR=$(TMP)/)
	(cd $(galeradir) && cp -r garb $(TMP)/)
	(cd $(galeradir) && cp libgalera_smm.so $(TMP)/)
	(cd $(galeradir) && cp packages/rpm/README $(TMP)/)

	# add PXC configuration file my.cnf to mysql-common package
	#install -g root -o root -m 0644 -D debian/extra/my.cnf $(TMP)/etc/mysql/my.cnf

	# add MySQL Server debug binary and library to package
	#install -g root -o root -m 0755 debian/extra/server-binary $(TMP)/usr/sbin/mysqld-debug

	# add systemd script
	mkdir -p $(TMP)/var/lib/mysql-files
	mkdir -p $(TMP)/var/lib/mysql
	mkdir -p $(TMP)/var/run/mysql
	install -m 0755 debian/extra/mysql-systemd-start $(TMP)/usr/share/mysql/

	mkdir -p $(TMP)/usr/lib/percona-xtradb-cluster-testsuite
	cp -rp $(TMP)/usr/lib/mysql-test/* $(TMP)/usr/lib/percona-xtradb-cluster-testsuite

	# mysql-server
	mkdir -p $(TMP)/usr/share/doc/percona-xtradb-cluster-5.7/examples
	rm -vf $(TMP)/usr/share/percona-xtradb-cluster/mi_test_all* \
		$(TMP)/usr/share/percona-xtradb-cluster/mysql-log-rotate \
		$(TMP)/usr/share/percona-xtradb-cluster/mysql.server \
		$(TMP)/usr/share/percona-xtradb-cluster/binary-configure
	nm -n $(builddir)/sql/mysqld |gzip -9 > $(TMP)/usr/share/doc/percona-xtradb-cluster-5.7/mysqld.sym.gz
	# FIXME install -m 0755 debian/additions/echo_stderr $(TMP)/usr/share/mysql/
	# install -d $(TMP)/etc/mysql
	# install -m 0755 debian/additions/debian-start $(TMP)/etc/mysql/
	# install -m 0755 debian/additions/debian-start.inc.sh $(TMP)/usr/share/mysql/

	install -d $(TMP)/usr/lib/debug/usr/bin
	objcopy --only-keep-debug $(TMP)garb/garbd $(TMP)/usr/lib/debug/usr/bin/garbd
	chmod 644 $(TMP)/usr/lib/debug/usr/bin/garbd
	strip --remove-section=.comment --remove-section=.note $(TMP)garb/garbd
	objcopy --add-gnu-debuglink $(TMP)/usr/lib/debug/usr/bin/garbd $(TMP)garb/garbd

	# install default file for init script timeout params
	install -d $(TMP)/etc/default
	install -m 0644 debian/extra/default-mysql $(TMP)/etc/default/mysql
        # Add helper functions for maintainer scripts
	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/

	# install source tarball for source package
	install -D -m 0644 $(EXPORTED_SOURCE_TARBALL) $(TMP)/usr/src/percona-xtradb-cluster/`basename $(EXPORTED_SOURCE_TARBALL)`

override_dh_strip:

## percona-xtradb-cluster-5.7 5.7.41

=== CMakeLists.txt ===
# Copyright (c) 2006, 2022, Oracle and/or its affiliates.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0,
# as published by the Free Software Foundation.
#
# This program is also distributed with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation.  The authors of MySQL hereby grant you an additional
# permission to link the program and your derivative works with the
# separately licensed software that they have included with MySQL.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

IF(WIN32)
  # CMake 2.8.12 is needed for Visual Studio 2013
  # CMake 3.1.0 is needed for $<TARGET_PDB_FILE:${target}>
  CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)
ELSE()
  # There's a bug in unzipping prior to 2.8.2
  # Debian 7 has the oldest cmake we need to support
  CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)
ENDIF()

# We use CMAKE_SHARED_LIBRARY_<Lang>_FLAGS. See cmake --help-policy CMP0018
IF(CMAKE_VERSION VERSION_GREATER "2.8.8")
  CMAKE_POLICY(SET CMP0018 OLD)
ENDIF()

# We use PROPERTIES LINK_INTERFACE_LIBRARIES. See cmake --help-policy CMP0022
IF(CMAKE_VERSION VERSION_EQUAL "2.8.12" OR
   CMAKE_VERSION VERSION_GREATER "2.8.12")
 CMAKE_POLICY(SET CMP0022 OLD)
ENDIF()

# We use get_target_property() for non-existent targets (CMP0045)
# and INSTALL_NAME_DIR (CMP0042)
IF(CMAKE_VERSION VERSION_EQUAL "3.0.0" OR
   CMAKE_VERSION VERSION_GREATER "3.0.0")
 CMAKE_POLICY(SET CMP0045 OLD)
 CMAKE_POLICY(SET CMP0042 OLD)
ENDIF()

# In CMake 3.12 and above, the
#
# * ``check_include_file`` macro in the ``CheckIncludeFile`` module, the
# * ``check_include_file_cxx`` macro in the
#   ``CheckIncludeFileCXX`` module, and the
# * ``check_include_files`` macro in the ``CheckIncludeFiles`` module
#
# now prefer to link the check executable to the libraries listed in the
# ``CMAKE_REQUIRED_LIBRARIES`` variable.
IF(POLICY CMP0075)
  CMAKE_POLICY(SET CMP0075 OLD)
ENDIF()

MESSAGE(STATUS "Running cmake version ${CMAKE_VERSION}")

# Will set GIT_EXECUTABLE and GIT_FOUND
FIND_PACKAGE(Git)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

# First, decide about build type (debug or release)
# If cmake is invoked with -DCMAKE_BUILD_TYPE, 
# respect user wishes and do not (re)define CMAKE_BUILD_TYPE. If WITH_DEBUG
# is given, set CMAKE_BUILD_TYPE = Debug. Otherwise, use Relwithdebinfo.

IF(DEFINED CMAKE_BUILD_TYPE)
  SET(HAVE_CMAKE_BUILD_TYPE TRUE)
ENDIF()

OPTION(WITH_DEBUG "Use dbug/safemutex" OFF)

# Distinguish between community and non-community builds, with the
# default being a community build. This does not impact the feature
# set that will be compiled in; it's merely provided as a hint to
# custom packaging steps.
OPTION(COMMUNITY_BUILD "Set to true if this is a community build" ON) 

# Use a default manufacturer if no manufacturer was identified.
SET(MANUFACTURER_DOCSTRING
  "Set the entity that appears as the manufacturer of packages that support a manufacturer field.")
IF(NOT DEFINED MANUFACTURER) 
  SET(MANUFACTURER "Built from Source" CACHE  STRING ${MANUFACTURER_DOCSTRING})
  MARK_AS_ADVANCED(MANUFACTURER)
ENDIF()

#Caching for BUILD TESTING
SET(BUILD_TESTING OFF CACHE BOOL "")

# MAX_INDEXES - Set the maximum number of indexes per table, default 64U
IF (NOT MAX_INDEXES)
  SET(MAX_INDEXES 64U)
ENDIF(NOT MAX_INDEXES)

IF (${MAX_INDEXES} GREATER 255)
  MESSAGE(FATAL_ERROR "MAX_INDEXES values greater than 255 is not supported!")
ENDIF()
MESSAGE(STATUS "Configuring with MAX_INDEXES = ${MAX_INDEXES}")

# PAM build Handling
OPTION(WITH_PAM "Build with Percona PAM plugin" OFF)

# We choose to provide WITH_DEBUG as alias to standard CMAKE_BUILD_TYPE=Debug
# which turns out to be not trivial, as this involves synchronization 
# between CMAKE_BUILD_TYPE and WITH_DEBUG. Besides, we have to deal with cases
# where WITH_DEBUG is  reset from ON to OFF  and here we need to reset 
# CMAKE_BUILD_TYPE to either none or default RelWithDebInfo

# TokuDB is not supported currently in PXC
OPTION(WITHOUT_TOKUDB "Build without TokuDB plugin and tools" ON)

SET(BUILDTYPE_DOCSTRING
 "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or
 CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel")

IF(WITH_DEBUG)
  SET(CMAKE_BUILD_TYPE "Debug" CACHE STRING ${BUILDTYPE_DOCSTRING} FORCE)
  IF(UNIX AND NOT APPLE)
    # Compiling with PIC speeds up embedded build, on PIC sensitive systems 
    # Predefine it to ON, in case user chooses to build embedded. 
    SET(WITH_PIC ON CACHE BOOL "Compile with PIC")
  ENDIF()
  SET(OLD_WITH_DEBUG 1 CACHE INTERNAL "" FORCE)
ELSEIF(NOT HAVE_CMAKE_BUILD_TYPE OR OLD_WITH_DEBUG)
  IF(CMAKE_BUILD_TYPE MATCHES "Debug" OR NOT HAVE_CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING 
       ${BUILDTYPE_DOCSTRING} FORCE)
  ENDIF()
  SET(OLD_WITH_DEBUG 0 CACHE INTERNAL "" FORCE)
ENDIF()

# Optionally set project name, e.g.
# foo.xcodeproj (mac) or foo.sln (windows)
SET(MYSQL_PROJECT_NAME_DOCSTRING "MySQL project name")
IF(DEFINED MYSQL_PROJECT_NAME)
  SET(MYSQL_PROJECT_NAME ${MYSQL_PROJECT_NAME} CACHE STRING
      ${MYSQL_PROJECT_NAME_DOCSTRING} FORCE)
ELSE()
  SET(MYSQL_PROJECT_NAME "MySQL" CACHE STRING
      ${MYSQL_PROJECT_NAME_DOCSTRING} FORCE)
  MARK_AS_ADVANCED(MYSQL_PROJECT_NAME)
ENDIF()

# CMake version 3.22.1 and above
# Policy CMP0048 is not set: project() command manages VERSION variables.
INCLUDE(mysql_version)
IF(POLICY CMP0048)
  CMAKE_POLICY(SET CMP0048 NEW)
  PROJECT(${MYSQL_PROJECT_NAME}
    VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
ELSE()
  PROJECT(${MYSQL_PROJECT_NAME})
ENDIF()

MACRO(REPORT_CXX_FLAGS)
  MESSAGE(STATUS "CMAKE_C_FLAGS: ${CMAKE_C_FLAGS}")
  FOREACH(BUILD_TYPE "" _DEBUG _RELWITHDEBINFO _RELEASE _MINSIZEREL)
    SET(flag "CMAKE_CXX_FLAGS${BUILD_TYPE}")
    MESSAGE(STATUS "${flag}: ${${flag}}")
  ENDFOREACH()
ENDMACRO()

# STRING(APPEND ...) from cmake VERSION 3.4
MACRO(STRING_APPEND STRING_VAR INPUT)
  SET(${STRING_VAR} "${${STRING_VAR}}${INPUT}")
ENDMACRO()

MACRO(STRING_PREPEND STRING_VAR INPUT)
  SET(${STRING_VAR} "${INPUT}${${STRING_VAR}}")
ENDMACRO()

SET(BUILD_IS_SINGLE_CONFIG TRUE)
MESSAGE(STATUS "CMAKE_GENERATOR: ${CMAKE_GENERATOR}")
IF(CMAKE_GENERATOR MATCHES "Visual Studio" OR CMAKE_GENERATOR STREQUAL "Xcode")
  SET(BUILD_IS_SINGLE_CONFIG FALSE)
ENDIF()

SET(BUILD_TESTING ON)
INCLUDE(CTest)
# Explicitly disabling BUILD_TESTING since other code is not ready to handle
# BUILD_TESTING set. If you try to remove the directive and CMake configuration
# and reconfiguration finishes successfully, remove the hack.
SET(BUILD_TESTING OFF)

IF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  SET(MY_COMPILER_IS_CLANG 1)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
  SET(MY_COMPILER_IS_GNU 1)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "SunPro")
  SET(MY_COMPILER_IS_SUNPRO 1)
ENDIF()

IF(MY_COMPILER_IS_CLANG OR MY_COMPILER_IS_GNU)
  SET(MY_COMPILER_IS_GNU_OR_CLANG 1)
ENDIF()

# Maintainer mode is default on only for debug builds using GCC/G++
IF(CMAKE_BUILD_TYPE MATCHES "Debug" OR WITH_DEBUG)
  IF(CMAKE_COMPILER_IS_GNUCC AND CMAKE_COMPILER_IS_GNUCXX)
    SET(MYSQL_MAINTAINER_MODE ON CACHE BOOL
        "MySQL maintainer-specific development environment")
  ENDIF()
ENDIF()

OPTION(WITH_DEFAULT_COMPILER_OPTIONS
  "Use flags from cmake/build_configurations/compiler_options.cmake"
  ON)
OPTION(WITH_DEFAULT_FEATURE_SET
  "Use feature set in cmake/build_configurations/feature_set.cmake"
  ON)
IF(BUILD_CONFIG)
  INCLUDE(
  ${CMAKE_SOURCE_DIR}/cmake/build_configurations/${BUILD_CONFIG}.cmake)
ENDIF()

#cmake on 64bit windows/mac/solaris doesn't set CMAKE_SYSTEM_PROCESSOR correctly
SET(MYSQL_MACHINE_TYPE ${CMAKE_SYSTEM_PROCESSOR})

include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
# We need some extra FAIL_REGEX patterns
# Note that CHECK_C_SOURCE_COMPILES is a misnomer, it will also link.
MACRO (MY_CHECK_C_COMPILER_FLAG FLAG RESULT)
  SET(SAVE_CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
  SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${FLAG}")
  CHECK_C_SOURCE_COMPILES("int main(void) { return 0; }" ${RESULT}
    FAIL_REGEX "argument unused during compilation"
    FAIL_REGEX "unsupported .*option"
    FAIL_REGEX "unknown .*option"
    FAIL_REGEX "unrecognized .*option"
    FAIL_REGEX "ignoring unknown option"
    FAIL_REGEX "[Ww]arning: [Oo]ption"
    FAIL_REGEX "error: visibility"
    FAIL_REGEX "warning: visibility"
    )
  SET(CMAKE_REQUIRED_FLAGS "${SAVE_CMAKE_REQUIRED_FLAGS}")
ENDMACRO()

MACRO (MY_CHECK_CXX_COMPILER_FLAG FLAG RESULT)
  SET(SAVE_CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
  SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} ${FLAG}")
  CHECK_CXX_SOURCE_COMPILES("int main(void) { return 0; }" ${RESULT}
    FAIL_REGEX "argument unused during compilation"
    FAIL_REGEX "unsupported .*option"
    FAIL_REGEX "unknown .*option"
    FAIL_REGEX "unrecognized .*option"
    FAIL_REGEX "ignoring unknown option"
    FAIL_REGEX "[Ww]arning: [Oo]ption"
    FAIL_REGEX "error: visibility"
    FAIL_REGEX "warning: visibility"
    )
  SET(CMAKE_REQUIRED_FLAGS "${SAVE_CMAKE_REQUIRED_FLAGS}")
ENDMACRO()

# Include the platform-specific file. To allow exceptions, this code
# looks for files in order of how specific they are. If there is, for
# example, a generic Linux.cmake and a version-specific
# Linux-2.6.28-11-generic, it will pick Linux-2.6.28-11-generic and
# include it. It is then up to the file writer to include the generic
# version if necessary.
FOREACH(_base
    ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_VERSION}-${CMAKE_SYSTEM_PROCESSOR}
    ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_VERSION}
    ${CMAKE_SYSTEM_NAME})
  SET(_file ${CMAKE_SOURCE_DIR}/cmake/os/${_base}.cmake)
  IF(EXISTS ${_file})
    INCLUDE(${_file})
    BREAK()
  ENDIF()
ENDFOREACH()


IF(UNIX)
  OPTION(WITH_INNODB_MEMCACHED "" OFF)
  OPTION(ENABLE_MEMCACHED_SASL "Enable SASL on InnoDB Memcached" OFF)
  OPTION(ENABLE_MEMCACHED_SASL_PWDB "Enable SASL on InnoDB Memcached" OFF)
  FIND_PROGRAM(MY_DPKG_BUILDFLAGS dpkg-buildflags /bin /usr/bin)
  FIND_PROGRAM(MY_RPM rpm /bin /usr/bin)
ELSE()
  OPTION(WITH_INNODB_MEMCACHED "" OFF)
ENDIF()
 
# Following autotools tradition, add preprocessor definitions
# specified in environment variable CPPFLAGS
IF(DEFINED ENV{CPPFLAGS})
  ADD_DEFINITIONS($ENV{CPPFLAGS})
ENDIF()

INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE("void *" SIZEOF_VOIDP)
MESSAGE(STATUS "SIZEOF_VOIDP ${SIZEOF_VOIDP}")
# On some platforms, cmake may think that CMAKE_SIZEOF_VOID_P == 4
# even if we have configured for 64bit build....
SET(CMAKE_SIZEOF_VOID_P ${SIZEOF_VOIDP})

IF(WITH_DEFAULT_COMPILER_OPTIONS)
  INCLUDE(${CMAKE_SOURCE_DIR}/cmake/build_configurations/compiler_options.cmake)
ENDIF()
IF(WITH_DEFAULT_FEATURE_SET)
  INCLUDE(${CMAKE_SOURCE_DIR}/cmake/build_configurations/feature_set.cmake)
ENDIF()

INCLUDE(compile_flags)
INCLUDE(install_layout)

# Add RPM or DEB platform flags for STANDALONE build.
# Not for DEBUG builds, since both platforms use -O2 and _FORTIFY_SOURCE.
IF(LINUX AND INSTALL_LAYOUT MATCHES "STANDALONE" AND (LINUX_DEB_PLATFORM OR LINUX_RPM_PLATFORM))
  IF(CMAKE_BUILD_TYPE STREQUAL "Debug" OR WITH_DEBUG)
    SET(WITH_PACKAGE_FLAGS_DEFAULT OFF)
  ELSE()
    SET(WITH_PACKAGE_FLAGS_DEFAULT ON)
  ENDIF()
  OPTION(WITH_PACKAGE_FLAGS "Use DEB/RPM compiler flags" ${WITH_PACKAGE_FLAGS_DEFAULT})
ENDIF()

# Do not set package specific flags if language flags already provided

=== plugin/keyring_vault/keyring_vault-test/CMakeLists.txt ===
INCLUDE_DIRECTORIES(SYSTEM
  ${BOOST_PATCHES_DIR}
  ${BOOST_INCLUDE_DIR}
  ${CURL_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/libbinlogevents/include)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/sql
  ${CMAKE_SOURCE_DIR}/wsrep/src
  ${CMAKE_SOURCE_DIR}/plugin/keyring
  ${CMAKE_SOURCE_DIR}/plugin/keyring/common
  ${CMAKE_SOURCE_DIR}/plugin/keyring_vault
  ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring_vault)

ADD_EXECUTABLE(keyring_vault-test
               ./keyring_vault-test.cc
               ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keyring_key.cc
               ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keys_container.cc
               ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keys_iterator.cc
               ${CMAKE_SOURCE_DIR}/plugin/keyring/common/system_key_adapter.cc
               ${CMAKE_SOURCE_DIR}/plugin/keyring/common/system_keys_container.cc
               ${CMAKE_SOURCE_DIR}/plugin/keyring/common/keyring_impl.cc
               ../vault_io.cc
               ../vault_key.cc
               ../vault_base64.cc
               ../vault_parser_composer.cc
               ../vault_keys_list.cc
               ../vault_keys_container.cc
               ../vault_curl.cc
               ../vault_credentials_parser.cc
               ../vault_credentials.cc
               ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring_vault/generate_credential_file.cc
               ${CMAKE_SOURCE_DIR}/unittest/gunit/keyring_vault/vault_mount.cc
               )

TARGET_LINK_LIBRARIES(keyring_vault-test strings dbug regex mysys sql)
TARGET_LINK_LIBRARIES(keyring_vault-test binlog rpl master slave)
TARGET_LINK_LIBRARIES(keyring_vault-test ${CURL_LIBRARY} ${SSL_LIBRARIES})

ADD_TEST(keyring_vault-test keyring_vault-test)

## percona-xtradb-cluster-5.7 5.7.41-31.65

=== debian/changelog ===
percona-xtradb-cluster-5.7 (5.7.41-31.65-1) UNRELEASED; urgency=medium

  * Update to new upstream release Percona XtraDB Cluster 5.7.41-rel44-
    31.65

 -- ubuntu-cloud-user <alexey.bychko@percona.com>  Thu, 30 Mar 2023 11:07:59 +0000

percona-xtradb-cluster-5.7 (5.7.41-rel44) unstable; urgency=low

  * Packaging updates for PXC 5.7

 -- Alexey Bychko <alexey.bychko@percona.com>  Thu, 17 Mar 2016 19:03:05 +0600

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip
 
 export DH_VERBOSE=1
 export CFLAGS=
@@ -10,9 +13,9 @@
 PACKAGE=percona-xtradb-cluster-5.7
 PS_VERSION_EXTRA = $(shell echo "Percona XtraDB Cluster (GPL), $(DEBVERSION)")
 
-wsrep_version="31.63"
-percona_server_version="43"
-revision="ab4d0bd"
+wsrep_version="31.65"
+percona_server_version="44"
+revision="b46a1c3"
 compilation_comment_debug="Percona XtraDB Cluster - Debug (GPL), Release rel$(percona_server_version), Revision $(revision), WSREP version $(wsrep_version)"
 compilation_comment_release="Percona XtraDB Cluster (GPL), Release rel$(percona_server_version), Revision $(revision), WSREP version $(wsrep_version)"
 server_suffix="-57"
@@ -211,6 +214,3 @@
 	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql/
 
 	# install source tarball for source package
-	install -D -m 0644 $(EXPORTED_SOURCE_TARBALL) $(TMP)/usr/src/percona-xtradb-cluster/`basename $(EXPORTED_SOURCE_TARBALL)`
-
-override_dh_strip:
